<div>
  <h2 id="page-heading" data-cy="OrderDataHeading">
    <span>Order Data</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-order-data"
        [routerLink]="['/order-data/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Order Data</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (orderData?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Order Data found</span>
    </div>
  }

  @if (orderData && orderData.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="ppkNomor">
              <div class="d-flex">
                <span>Ppk Nomor</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="ppkTanggal">
              <div class="d-flex">
                <span>Ppk Tanggal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nasabahNama">
              <div class="d-flex">
                <span>Nasabah Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nasabahJenis">
              <div class="d-flex">
                <span>Nasabah Jenis</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggal">
              <div class="d-flex">
                <span>Tanggal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="status">
              <div class="d-flex">
                <span>Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="type">
              <div class="d-flex">
                <span>Type</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="rawData.id">
              <div class="d-flex">
                <span>Raw Data</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="skSubtitusi.id">
              <div class="d-flex">
                <span>Sk Subtitusi</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="berkas.id">
              <div class="d-flex">
                <span>Berkas</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="cabang.id">
              <div class="d-flex">
                <span>Cabang</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (orderData of orderData; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/order-data', orderData.id, 'view']">{{ orderData.id }}</a>
              </td>
              <td>{{ orderData.ppkNomor }}</td>
              <td>{{ orderData.ppkTanggal | formatMediumDate }}</td>
              <td>{{ orderData.nasabahNama }}</td>
              <td>{{ orderData.nasabahJenis }}</td>
              <td>{{ orderData.tanggal | formatMediumDate }}</td>
              <td>{{ orderData.status }}</td>
              <td>{{ orderData.type }}</td>
              <td>
                @if (orderData.rawData) {
                  <div>
                    <a [routerLink]="['/raw-data', orderData.rawData.id, 'view']">{{ orderData.rawData.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (orderData.skSubtitusi) {
                  <div>
                    <a [routerLink]="['/sk-subtitusi', orderData.skSubtitusi.id, 'view']">{{ orderData.skSubtitusi.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (orderData.berkas) {
                  <div>
                    <a [routerLink]="['/berkas', orderData.berkas.id, 'view']">{{ orderData.berkas.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (orderData.cabang) {
                  <div>
                    <a [routerLink]="['/cabang', orderData.cabang.id, 'view']">{{ orderData.cabang.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/order-data', orderData.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/order-data', orderData.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(orderData)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (orderData && orderData.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
